Attribute VB_Name = "mdlNewton"
Option Explicit
'-------------------------------------------------------------------------------------------
'Author           : Paul Dahuach
'Year             : 2008
'Legal            : Do whatever you want with it, send me some feedback if you want.
'More Examples    : http://www.pauldahuach.com.ar/program_en.htm
'Dependencies     : vbNewton.dll (http://www.pauldahuach.com.ar/program_en.htm)
'                 :   Newton.dll (http://www.newtondynamics.com)
'-------------------------------------------------------------------------------------------

' **********************************************************************************************
'
' world control functions
'
' **********************************************************************************************
Public Declare Function NewtonCreate Lib "vbNewton.dll" Alias "vb6_NewtonCreate" (ByVal malloc As Long, ByVal mfree As Long) As Long
Public Declare Sub NewtonDestroy Lib "vbNewton.dll" Alias "vb6_NewtonDestroy" (ByVal newtonWorld As Long)
Public Declare Sub NewtonDestroyAllBodies Lib "vbNewton.dll" Alias "vb6_NewtonDestroyAllBodies" (ByVal newtonWorld As Long)

Public Declare Sub NewtonUpdate Lib "vbNewton.dll" Alias "vb6_NewtonUpdate" (ByVal newtonWorld As Long, ByVal timestep As Single)
Public Declare Sub NewtonSetPlatformArchitecture Lib "vbNewton.dll" Alias "vb6_NewtonSetPlatformArchitecture" (ByVal newtonWorld As Long, ByVal mode As Long)
Public Declare Sub NewtonSetSolverModel Lib "vbNewton.dll" Alias "vb6_NewtonSetSolverModel" (ByVal newtonWorld As Long, ByVal model As Long)
Public Declare Sub NewtonSetFrictionModel Lib "vbNewton.dll" Alias "vb6_NewtonSetFrictionModel" (ByVal newtonWorld As Long, ByVal model As Long)
Public Declare Function NewtonGetTimeStep Lib "vbNewton.dll" Alias "vb6_NewtonGetTimeStep" (ByVal newtonWorld As Long) As Single
Public Declare Sub NewtonSetMinimumFrameRate Lib "vbNewton.dll" Alias "vb6_NewtonSetMinimumFrameRate" (ByVal newtonWorld As Long, ByVal frameRate As Single)
Public Declare Sub NewtonSetBodyLeaveWorldEvent Lib "vbNewton.dll" Alias "vb6_NewtonSetBodyLeaveWorldEvent" (ByVal newtonWorld As Long, ByVal callback As Long)
Public Declare Sub NewtonSetWorldSize Lib "vbNewton.dll" Alias "vb6_NewtonSetWorldSize" (ByVal newtonWorld As Long, minPoint As Single, maxPoint As Single)
    
Public Declare Sub NewtonWorldFreezeBody Lib "vbNewton.dll" Alias "vb6_NewtonWorldFreezeBody" (ByVal newtonWorld As Long, ByVal body As Long)
Public Declare Sub NewtonWorldUnfreezeBody Lib "vbNewton.dll" Alias "vb6_NewtonWorldUnfreezeBody" (ByVal newtonWorld As Long, ByVal body As Long)

Public Declare Sub NewtonWorldForEachBodyDo Lib "vbNewton.dll" Alias "vb6_NewtonWorldForEachBodyDo" (ByVal newtonWorld As Long, ByVal callback As Long)
Public Declare Sub NewtonWorldForEachBodyInAABBDo Lib "vbNewton.dll" Alias "vb6_NewtonWorldForEachBodyInAABBDo" (ByVal newtonWorld As Long, p0 As Single, p1 As Single, ByVal callback As Long)

Public Declare Sub NewtonWorldSetUserData Lib "vbNewton.dll" Alias "vb6_NewtonWorldSetUserData" (ByVal newtonWorld As Long, ByVal userData As Long)
Public Declare Function NewtonWorldGetUserData Lib "vbNewton.dll" Alias "vb6_NewtonWorldGetUserData" (ByVal newtonWorld As Long) As Long
Public Declare Function NewtonWorldGetVersion Lib "vbNewton.dll" Alias "vb6_NewtonWorldGetVersion" (ByVal newtonWorld As Long) As Long

Public Declare Sub NewtonWorldRayCast Lib "vbNewton.dll" Alias "vb6_NewtonWorldRayCast" (ByVal newtonWorld As Long, p0 As Single, p1 As Single, ByVal filter As Long, ByVal userData As Long, ByVal prefilter As Long)

' **********************************************************************************************
'
' Physics Material Section
'
' **********************************************************************************************
Public Declare Function NewtonMaterialGetDefaultGroupID Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetDefaultGroupID" (ByVal newtonWorld As Long) As Long
Public Declare Function NewtonMaterialCreateGroupID Lib "vbNewton.dll" Alias "vb6_NewtonMaterialCreateGroupID" (ByVal newtonWorld As Long) As Long
Public Declare Sub NewtonMaterialDestroyAllGroupID Lib "vbNewton.dll" Alias "vb6_NewtonMaterialDestroyAllGroupID" (ByVal newtonWorld As Long)
Public Declare Sub NewtonMaterialSetDefaultSoftness Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetDefaultSoftness" (ByVal newtonWorld As Long, ByVal id0 As Long, ByVal id1 As Long, ByVal value As Single)
Public Declare Sub NewtonMaterialSetDefaultElasticity Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetDefaultElasticity" (ByVal newtonWorld As Long, ByVal id0 As Long, ByVal id1 As Long, ByVal elasticCoef As Single)
Public Declare Sub NewtonMaterialSetDefaultCollidable Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetDefaultCollidable" (ByVal newtonWorld As Long, ByVal id0 As Long, ByVal id1 As Long, ByVal state As Long)
Public Declare Sub NewtonMaterialSetContinuousCollisionMode Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContinuousCollisionMode" (ByVal newtonWorld As Long, ByVal id0 As Long, ByVal id1 As Long, ByVal state As Long)
Public Declare Sub NewtonMaterialSetDefaultFriction Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetDefaultFriction" (ByVal newtonWorld As Long, ByVal id0 As Long, ByVal id1 As Long, ByVal staticFriction As Single, ByVal kineticFriction As Single)

Public Declare Sub NewtonMaterialSetCollisionCallback Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetCollisionCallback" (ByVal newtonWorld As Long, ByVal id0 As Long, ByVal id1 As Long, ByVal userData As Long, ByVal begin As Long, ByVal process As Long, ByVal cend As Long)

Public Declare Function NewtonMaterialGetUserData Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetUserData" (ByVal newtonWorld As Long, ByVal id0 As Long, ByVal id1 As Long) As Long

' **********************************************************************************************
'
' Physics Contact control functions
'
' **********************************************************************************************
Public Declare Sub NewtonMaterialDisableContact Lib "vbNewton.dll" Alias "vb6_NewtonMaterialDisableContact" (ByVal material As Long)
Public Declare Function NewtonMaterialGetCurrentTimestep Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetCurrentTimestep" (ByVal material As Long) As Single
Public Declare Function NewtonMaterialGetMaterialPairUserData Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetMaterialPairUserData" (ByVal material As Long) As Long
Public Declare Function NewtonMaterialGetContactFaceAttribute Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetContactFaceAttribute" (ByVal material As Long) As Long
Public Declare Function NewtonMaterialGetBodyCollisionID Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetBodyCollisionID" (ByVal material As Long, ByVal body As Long) As Long
Public Declare Function NewtonMaterialGetContactNormalSpeed Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetContactNormalSpeed" (ByVal material As Long, ByVal contactlHandle As Long) As Single
Public Declare Sub NewtonMaterialGetContactForce Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetContactForce" (ByVal material As Long, Force As Single)
Public Declare Sub NewtonMaterialGetContactPositionAndNormal Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetContactPositionAndNormal" (ByVal material As Long, posit As Single, normal As Single)
Public Declare Sub NewtonMaterialGetContactTangentDirections Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetContactTangentDirections" (ByVal material As Long, dir0 As Single, dir As Single)
Public Declare Function NewtonMaterialGetContactTangentSpeed Lib "vbNewton.dll" Alias "vb6_NewtonMaterialGetContactTangentSpeed" (ByVal material As Long, ByVal contactlHandle As Long, ByVal index As Long) As Single

Public Declare Sub NewtonMaterialSetContactSoftness Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactSoftness" (ByVal material As Long, ByVal softness As Single)
Public Declare Sub NewtonMaterialSetContactElasticity Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactElasticity" (ByVal material As Long, ByVal restitution As Single)
Public Declare Sub NewtonMaterialSetContactFrictionState Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactFrictionState" (ByVal material As Long, ByVal state As Long, ByVal index As Long)
Public Declare Sub NewtonMaterialSetContactStaticFrictionCoef Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactStaticFrictionCoef" (ByVal material As Long, ByVal coef As Single, ByVal index As Long)
Public Declare Sub NewtonMaterialSetContactKineticFrictionCoef Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactKineticFrictionCoef" (ByVal material As Long, ByVal coef As Single, ByVal index As Long)

Public Declare Sub NewtonMaterialSetContactNormalAcceleration Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactNormalAcceleration" (ByVal material As Long, ByVal accel As Single)
Public Declare Sub NewtonMaterialSetContactNormalDirection Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactNormalDirection" (ByVal material As Long, directionVector As Single)

Public Declare Sub NewtonMaterialSetContactTangentAcceleration Lib "vbNewton.dll" Alias "vb6_NewtonMaterialSetContactTangentAcceleration" (ByVal material As Long, ByVal accel As Single, ByVal index As Long)
Public Declare Sub NewtonMaterialContactRotateTangentDirections Lib "vbNewton.dll" Alias "vb6_NewtonMaterialContactRotateTangentDirections" (ByVal material As Long, directionVector As Single)


' **********************************************************************************************
'
' convex collision primitives creation functions
'
' **********************************************************************************************
Public Declare Function NewtonCreateNull Lib "vbNewton.dll" Alias "vb6_NewtonCreateNull" (ByVal newtonWorld As Long) As Long
Public Declare Function NewtonCreateSphere Lib "vbNewton.dll" Alias "vb6_NewtonCreateSphere" (ByVal newtonWorld As Long, ByVal radiusX As Single, ByVal radiusY As Single, ByVal radiusZ As Single, ByVal offsetMatrix As Long) As Long
Public Declare Function NewtonCreateBox Lib "vbNewton.dll" Alias "vb6_NewtonCreateBox" (ByVal newtonWorld As Long, ByVal dx As Single, ByVal dy As Single, ByVal dz As Single, ByVal offsetMatrix As Long) As Long
Public Declare Function NewtonCreateCone Lib "vbNewton.dll" Alias "vb6_NewtonCreateCone" (ByVal newtonWorld As Long, ByVal radius As Single, ByVal height As Single, ByVal offsetMatrix As Long) As Long
Public Declare Function NewtonCreateCapsule Lib "vbNewton.dll" Alias "vb6_NewtonCreateCapsule" (ByVal newtonWorld As Long, ByVal radius As Single, ByVal height As Single, ByVal offsetMatrix As Long) As Long
Public Declare Function NewtonCreateCylinder Lib "vbNewton.dll" Alias "vb6_NewtonCreateCylinder" (ByVal newtonWorld As Long, ByVal radius As Single, ByVal height As Single, ByVal offsetMatrix As Long) As Long
Public Declare Function NewtonCreateChamferCylinder Lib "vbNewton.dll" Alias "vb6_NewtonCreateChamferCylinder" (ByVal newtonWorld As Long, ByVal radius As Single, ByVal height As Single, ByVal offsetMatrix As Long) As Long
Public Declare Function NewtonCreateConvexHull Lib "vbNewton.dll" Alias "vb6_NewtonCreateConvexHull" (ByVal newtonWorld As Long, ByVal count As Long, ByVal vertexCloud As Single, ByVal strideInBytes As Long, ByVal offsetMatrix As Long) As Long
Public Declare Function NewtonCreateConvexHullModifier Lib "vbNewton.dll" Alias "vb6_NewtonCreateConvexHullModifier" (ByVal newtonWorld As Long, ByVal convexHullCollision As Long) As Long
Public Declare Sub NewtonConvexHullModifierGetMatrix Lib "vbNewton.dll" Alias "vb6_NewtonConvexHullModifierGetMatrix" (ByVal convexHullCollision As Long, matrix As Single)
Public Declare Sub NewtonConvexHullModifierSetMatrix Lib "vbNewton.dll" Alias "vb6_NewtonConvexHullModifierSetMatrix" (ByVal convexHullCollision As Long, matrix As Single)
    
Public Declare Sub NewtonConvexCollisionSetUserID Lib "vbNewton.dll" Alias "vb6_NewtonConvexCollisionSetUserID" (ByVal convexCollision As Long, ByVal id As Long)
Public Declare Function NewtonConvexCollisionGetUserID Lib "vbNewton.dll" Alias "vb6_NewtonConvexCollisionGetUserID" (ByVal convexCollision As Long) As Long

Public Declare Function NewtonConvexCollisionCalculateVolume Lib "vbNewton.dll" Alias "vb6_NewtonConvexCollisionCalculateVolume" (ByVal convexCollision As Long) As Single
Public Declare Sub NewtonConvexCollisionCalculateInertialMatrix Lib "vbNewton.dll" Alias "vb6_NewtonConvexCollisionCalculateInertialMatrix" (ByVal convexCollision As Long, Inertia As Single, origin As Single)

Public Declare Sub NewtonCollisionMakeUnique Lib "vbNewton.dll" Alias "vb6_NewtonCollisionMakeUnique" (ByVal newtonWorld As Long, ByVal collision As Long)
Public Declare Sub NewtonReleaseCollision Lib "vbNewton.dll" Alias "vb6_NewtonReleaseCollision" (ByVal newtonWorld As Long, ByVal collision As Long)

' **********************************************************************************************
'
' complex collision primitives creation functions
' note: can only be used with static bodies (bodies with infinite mass)
'
' **********************************************************************************************
Public Declare Function NewtonCreateCompoundCollision Lib "vbNewton.dll" Alias "vb6_NewtonCreateCompoundCollision" (ByVal newtonWorld As Long, ByVal count As Long, ByVal collisionPrimitiveArray As Long) As Long
Public Declare Function NewtonCreateUserMeshCollision Lib "vbNewton.dll" Alias "vb6_NewtonCreateUserMeshCollision" (ByVal newtonWorld As Long, minBox As Single, maxBox As Single, ByVal userData As Long, ByVal collideCallback As Long, ByVal rayHitCallback As Long, ByVal destroyCallback As Long) As Long

' **********************************************************************************************
'
' CollisionTree Utility functions
'
' **********************************************************************************************
Public Declare Function NewtonCreateTreeCollision Lib "vbNewton.dll" Alias "vb6_NewtonCreateTreeCollision" (ByVal newtonWorld As Long, ByVal userCallback As Long) As Long
Public Declare Sub NewtonTreeCollisionBeginBuild Lib "vbNewton.dll" Alias "vb6_NewtonTreeCollisionBeginBuild" (ByVal treeCollision As Long)
Public Declare Sub NewtonTreeCollisionAddFace Lib "vbNewton.dll" Alias "vb6_NewtonTreeCollisionAddFace" (ByVal treeCollision As Long, ByVal vertexCount As Long, vertexPtr As Single, ByVal strideInBytes As Long, ByVal faceAttribute As Long)
Public Declare Sub NewtonTreeCollisionEndBuild Lib "vbNewton.dll" Alias "vb6_NewtonTreeCollisionEndBuild" (ByVal treeCollision As Long, ByVal optimize As Long)
Public Declare Sub NewtonTreeCollisionSerialize Lib "vbNewton.dll" Alias "vb6_NewtonTreeCollisionSerialize" (ByVal treeCollision As Long, ByVal serializeFunction As Long, ByVal serializeHandle As Long)
Public Declare Function NewtonCreateTreeCollisionFromSerialization Lib "vbNewton.dll" Alias "vb6_NewtonCreateTreeCollisionFromSerialization" (ByVal newtonWorld As Long, ByVal userCallback As Long, ByVal deserializeFunction As Long, ByVal serializeHandle As Long) As Long
Public Declare Function NewtonTreeCollisionGetFaceAtribute Lib "vbNewton.dll" Alias "vb6_NewtonTreeCollisionGetFaceAtribute" (ByVal treeCollision As Long, faceIndexArray As Long) As Long
Public Declare Sub NewtonTreeCollisionSetFaceAtribute Lib "vbNewton.dll" Alias "vb6_NewtonTreeCollisionSetFaceAtribute" (ByVal treeCollision As Long, faceIndexArray As Long, ByVal attr As Long)

' **********************************************************************************************
'
' General purpose collision library functions
'
' **********************************************************************************************
Public Declare Function NewtonCollisionPointDistance Lib "vbNewton.dll" Alias "vb6_NewtonCollisionPointDistance" (ByVal newtonWorld As Long, point As Single, ByVal collsion As Long, matrix As Single, contact As Single, normal As Single) As Long
Public Declare Function NewtonCollisionClosestPoint Lib "vbNewton.dll" Alias "vb6_NewtonCollisionClosestPoint" (ByVal newtonWorld As Long, ByVal collsionA As Long, matrixA As Single, ByVal collsionB As Long, matrixB As Single, contactA As Single, contactB As Single, normalAB As Single) As Long
Public Declare Function NewtonCollisionCollide Lib "vbNewton.dll" Alias "vb6_NewtonCollisionCollide" (ByVal newtonWorld As Long, ByVal maxSize As Long, ByVal collsionA As Long, matrixA As Single, ByVal collsionB As Long, matrixB As Single, contacts As Single, normals As Single, penetration As Single) As Long
Public Declare Function NewtonCollisionCollideContinue Lib "vbNewton.dll" Alias "vb6_NewtonCollisionCollideContinue" (ByVal newtonWorld As Long, ByVal maxSize As Long, ByVal timestap As Single, ByVal collsionA As Long, matrixA As Single, velocA As Single, omegaA As Single, ByVal collsionB As Long, matrixB As Single, velocB As Single, omegaB As Single, timeOfImpact As Single, contacts As Single, normals As Single, penetration As Single) As Long
Public Declare Function NewtonCollisionRayCast Lib "vbNewton.dll" Alias "vb6_NewtonCollisionRayCast" (ByVal collision As Long, p0 As Single, p1 As Single, normals As Single, attr As Long) As Single
Public Declare Sub NewtonCollisionCalculateAABB Lib "vbNewton.dll" Alias "vb6_NewtonCollisionCalculateAABB" (ByVal collision As Long, matrix As Single, p0 As Single, p1 As Single)


' **********************************************************************************************
'
' transforms utility functions
'
' **********************************************************************************************
Public Declare Sub NewtonGetEulerAngle Lib "vbNewton.dll" Alias "vb6_NewtonGetEulerAngle" (matrix As Single, eulersAngles As Single)
Public Declare Sub NewtonSetEulerAngle Lib "vbNewton.dll" Alias "vb6_NewtonSetEulerAngle" (eulersAngles As Single, matrix As Single)


' **********************************************************************************************
'
' body manipulation functions
'
' **********************************************************************************************
Public Declare Function NewtonCreateBody Lib "vbNewton.dll" Alias "vb6_NewtonCreateBody" (ByVal newtonWorld As Long, ByVal collision As Long) As Long
Public Declare Sub NewtonDestroyBody Lib "vbNewton.dll" Alias "vb6_NewtonDestroyBody(ByVal newtonWorld As Long, byval body as long)" ()

Public Declare Sub NewtonBodyAddForce Lib "vbNewton.dll" Alias "vb6_NewtonBodyAddForce" (ByVal body As Long, Force As Single)
Public Declare Sub NewtonBodyAddTorque Lib "vbNewton.dll" Alias "vb6_NewtonBodyAddTorque" (ByVal body As Long, torque As Single)

Public Declare Sub NewtonBodySetMatrix Lib "vbNewton.dll" Alias "vb6_NewtonBodySetMatrix" (ByVal body As Long, matrix As Single)
Public Declare Sub NewtonBodySetMatrixRecursive Lib "vbNewton.dll" Alias "vb6_NewtonBodySetMatrixRecursive" (ByVal body As Long, matrix As Single)
Public Declare Sub NewtonBodySetMassMatrix Lib "vbNewton.dll" Alias "vb6_NewtonBodySetMassMatrix" (ByVal body As Long, ByVal Mass As Single, ByVal Ixx As Single, ByVal Iyy As Single, ByVal Izz As Single)
Public Declare Sub NewtonBodySetMaterialGroupID Lib "vbNewton.dll" Alias "vb6_NewtonBodySetMaterialGroupID" (ByVal body As Long, ByVal id As Long)
Public Declare Sub NewtonBodySetContinuousCollisionMode Lib "vbNewton.dll" Alias "vb6_NewtonBodySetContinuousCollisionMode" (ByVal body As Long, ByVal state As Long)
Public Declare Sub NewtonBodySetJointRecursiveCollision Lib "vbNewton.dll" Alias "vb6_NewtonBodySetJointRecursiveCollision" (ByVal body As Long, ByVal state As Long)
Public Declare Sub NewtonBodySetOmega Lib "vbNewton.dll" Alias "vb6_NewtonBodySetOmega" (ByVal body As Long, omega As Single)
Public Declare Sub NewtonBodySetVelocity Lib "vbNewton.dll" Alias "vb6_NewtonBodySetVelocity" (ByVal body As Long, velocity As Single)
Public Declare Sub NewtonBodySetForce Lib "vbNewton.dll" Alias "vb6_NewtonBodySetForce" (ByVal body As Long, Force As Single)
Public Declare Sub NewtonBodySetTorque Lib "vbNewton.dll" Alias "vb6_NewtonBodySetTorque" (ByVal body As Long, torque As Single)

Public Declare Sub NewtonBodySetCentreOfMass Lib "vbNewton.dll" Alias "vb6_NewtonBodySetCentreOfMass" (ByVal body As Long, com As Single)
Public Declare Sub NewtonBodySetLinearDamping Lib "vbNewton.dll" Alias "vb6_NewtonBodySetLinearDamping" (ByVal body As Long, ByVal linearDamp As Single)
Public Declare Sub NewtonBodySetAngularDamping Lib "vbNewton.dll" Alias "vb6_NewtonBodySetAngularDamping" (ByVal body As Long, angularDamp As Single)
Public Declare Sub NewtonBodySetUserData Lib "vbNewton.dll" Alias "vb6_NewtonBodySetUserData" (ByVal body As Long, ByVal userData As Long)
Public Declare Sub NewtonBodyCoriolisForcesMode Lib "vbNewton.dll" Alias "vb6_NewtonBodyCoriolisForcesMode" (ByVal body As Long, ByVal mode As Long)
Public Declare Sub NewtonBodySetCollision Lib "vbNewton.dll" Alias "vb6_NewtonBodySetCollision" (ByVal body As Long, ByVal collision As Long)
Public Declare Sub NewtonBodySetAutoFreeze Lib "vbNewton.dll" Alias "vb6_NewtonBodySetAutoFreeze" (ByVal body As Long, ByVal state As Long)
Public Declare Sub NewtonBodySetFreezeTreshold Lib "vbNewton.dll" Alias "vb6_NewtonBodySetFreezeTreshold" (ByVal body As Long, ByVal freezeSpeed2 As Single, ByVal freezeOmega2 As Single, ByVal framesCount As Long)
    
Public Declare Sub NewtonBodySetTransformCallback Lib "vbNewton.dll" Alias "vb6_NewtonBodySetTransformCallback" (ByVal body As Long, ByVal callback As Long)
Public Declare Sub NewtonBodySetDestructorCallback Lib "vbNewton.dll" Alias "vb6_NewtonBodySetDestructorCallback" (ByVal body As Long, ByVal callback As Long)
Public Declare Sub NewtonBodySetAutoactiveCallback Lib "vbNewton.dll" Alias "vb6_NewtonBodySetAutoactiveCallback" (ByVal body As Long, ByVal callback As Long)
Public Declare Sub NewtonBodySetForceAndTorqueCallback Lib "vbNewton.dll" Alias "vb6_NewtonBodySetForceAndTorqueCallback" (ByVal body As Long, ByVal callback As Long)
Public Declare Function NewtonBodyGetForceAndTorqueCallback Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetForceAndTorqueCallback" (ByVal body As Long) As Long

Public Declare Function NewtonBodyGetUserData Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetUserData" (ByVal body As Long) As Long
Public Declare Function NewtonBodyGetWorld Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetWorld" (ByVal body As Long) As Long
Public Declare Function NewtonBodyGetCollision Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetCollision" (ByVal body As Long) As Long
Public Declare Function NewtonBodyGetMaterialGroupID Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetMaterialGroupID" (ByVal body As Long) As Long
Public Declare Function NewtonBodyGetContinuousCollisionMode Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetContinuousCollisionMode" (ByVal body As Long) As Long
Public Declare Function NewtonBodyGetJointRecursiveCollision Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetJointRecursiveCollision" (ByVal body As Long) As Long
Public Declare Sub NewtonBodyGetMatrix Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetMatrix" (ByVal body As Long, matrix As Single)
Public Declare Sub NewtonBodyGetMassMatrix Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetMassMatrix" (ByVal body As Long, Mass As Single, Ixx As Single, Iyy As Single, Izz As Single)
Public Declare Sub NewtonBodyGetInvMass Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetInvMass" (ByVal body As Long, invMass As Single, invIxx As Single, invIyy As Single, invIzz As Single)
Public Declare Sub NewtonBodyGetOmega Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetOmega" (ByVal body As Long, vector As Single)


' **********************************************************************************************
'
' body manipulation functions
'
' **********************************************************************************************
Public Declare Sub NewtonBodyGetVelocity Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetVelocity" (ByVal body As Long, vector As Single)
Public Declare Sub NewtonBodyGetForce Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetForce" (ByVal body As Long, vector As Single)
Public Declare Sub NewtonBodyGetTorque Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetTorque" (ByVal body As Long, vector As Single)
Public Declare Sub NewtonBodyGetCentreOfMass Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetCentreOfMass" (ByVal body As Long, com As Single)
Public Declare Function NewtonBodyGetSleepingState Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetSleepingState" (ByVal body As Long) As Long
Public Declare Function NewtonBodyGetAutoFreeze Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetAutoFreeze" (ByVal body As Long) As Long
Public Declare Function NewtonBodyGetLinearDamping Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetLinearDamping" (ByVal body As Long) As Single
Public Declare Sub NewtonBodyGetAngularDamping Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetAngularDamping" (ByVal body As Long, vector As Single)
Public Declare Sub NewtonBodyGetAABB Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetAABB" (ByVal body As Long, p0 As Single, p1 As Single)
Public Declare Sub NewtonBodyGetFreezeTreshold Lib "vbNewton.dll" Alias "vb6_NewtonBodyGetFreezeTreshold" (ByVal body As Long, freezeSpeed2 As Single, freezeOmega2 As Single)
Public Declare Sub NewtonBodyAddBuoyancyForce Lib "vbNewton.dll" Alias "vb6_NewtonBodyAddBuoyancyForce" (ByVal body As Long, ByVal fluidDensity As Single, ByVal fluidLinearViscosity As Single, ByVal fluidAngularViscosity As Single, gravityVector As Single, ByVal buoyancyPlane As Long, ByVal context As Long)
Public Declare Sub NewtonBodyForEachPolygonDo Lib "vbNewton.dll" Alias "vb6_NewtonBodyForEachPolygonDo" (ByVal body As Long, ByVal callback As Long)
Public Declare Sub NewtonAddBodyImpulse Lib "vbNewton.dll" Alias "vb6_NewtonAddBodyImpulse" (ByVal body As Long, pointDeltaVeloc As Single, pointPosit As Single)

' **********************************************************************************************
'
' Common joint functions
'
' **********************************************************************************************
Public Declare Function NewtonJointGetUserData Lib "vbNewton.dll" Alias "vb6_NewtonJointGetUserData" (ByVal joint As Long) As Long
Public Declare Sub NewtonJointSetUserData Lib "vbNewton.dll" Alias "vb6_NewtonJointSetUserData" (ByVal joint As Long, ByVal userData As Long)
Public Declare Function NewtonJointGetCollisionState Lib "vbNewton.dll" Alias "vb6_NewtonJointGetCollisionState" (ByVal joint As Long) As Long
Public Declare Sub NewtonJointSetCollisionState Lib "vbNewton.dll" Alias "vb6_NewtonJointSetCollisionState" (ByVal joint As Long, ByVal state As Long)
Public Declare Function NewtonJointGetStiffness Lib "vbNewton.dll" Alias "vb6_NewtonJointGetStiffness" (ByVal joint As Long) As Single
Public Declare Sub NewtonJointSetStiffness Lib "vbNewton.dll" Alias "vb6_NewtonJointSetStiffness" (ByVal joint As Long, ByVal state As Single)
Public Declare Sub NewtonDestroyJoint Lib "vbNewton.dll" Alias "vb6_NewtonDestroyJoint" (ByVal newtonWorld As Long, ByVal joint As Long)
Public Declare Sub NewtonJointSetDestructor Lib "vbNewton.dll" Alias "vb6_NewtonJointSetDestructor" (ByVal joint As Long, ByVal destructor As Long)

' **********************************************************************************************
'
' Ball and Socket joint functions
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateBall Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateBall" (ByVal newtonWorld As Long, pivotPoint As Single, ByVal childBody As Long, ByVal parentBody As Long)
Public Declare Sub NewtonBallSetUserCallback Lib "vbNewton.dll" Alias "vb6_NewtonBallSetUserCallback" (ByVal ball As Long, ByVal callback As Long)
Public Declare Sub NewtonBallGetJointAngle Lib "vbNewton.dll" Alias "vb6_NewtonBallGetJointAngle" (ByVal ball As Long, angle As Single)
Public Declare Sub NewtonBallGetJointOmega Lib "vbNewton.dll" Alias "vb6_NewtonBallGetJointOmega" (ByVal ball As Long, omega As Single)
Public Declare Sub NewtonBallGetJointForce Lib "vbNewton.dll" Alias "vb6_NewtonBallGetJointForce" (ByVal ball As Long, Force As Single)
Public Declare Sub NewtonBallSetConeLimits Lib "vbNewton.dll" Alias "vb6_NewtonBallSetConeLimits" (ByVal ball As Long, pin As Single, ByVal maxConeAngle As Single, ByVal maxTwistAngle As Single)

' **********************************************************************************************
'
' Hinge joint functions
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateHinge Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateHinge" (ByVal newtonWorld As Long, pivotPoint As Single, pinDir As Single, ByVal childBody As Long, ByVal parentBody As Long) As Long
Public Declare Sub NewtonHingeSetUserCallback Lib "vbNewton.dll" Alias "vb6_NewtonHingeSetUserCallback" (ByVal hinge As Long, ByVal callback As Long)
Public Declare Function NewtonHingeGetJointAngle Lib "vbNewton.dll" Alias "vb6_NewtonHingeGetJointAngle" (ByVal hinge As Long) As Single
Public Declare Function NewtonHingeGetJointOmega Lib "vbNewton.dll" Alias "vb6_NewtonHingeGetJointOmega" (ByVal hinge As Long) As Single
Public Declare Sub NewtonHingeGetJointForce Lib "vbNewton.dll" Alias "vb6_NewtonHingeGetJointForce" (ByVal hinge As Long, Force As Single)
Public Declare Function NewtonHingeCalculateStopAlpha Lib "vbNewton.dll" Alias "vb6_NewtonHingeCalculateStopAlpha" (ByVal hinge As Long, ByVal desc As Long, ByVal angle As Single) As Single

' **********************************************************************************************
'
' Slider joint functions
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateSlider Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateSlider" (ByVal newtonWorld As Long, pivotPoint As Single, pinDir As Single, ByVal childBody As Long, ByVal parentBody As Long) As Long
Public Declare Sub NewtonSliderSetUserCallback Lib "vbNewton.dll" Alias "vb6_NewtonSliderSetUserCallback" (ByVal slider As Long, ByVal callback As Long)
Public Declare Function NewtonSliderGetJointPosit Lib "vbNewton.dll" Alias "vb6_NewtonSliderGetJointPosit" (ByVal slider As Long) As Single
Public Declare Function NewtonSliderGetJointVeloc Lib "vbNewton.dll" Alias "vb6_NewtonSliderGetJointVeloc" (ByVal slider As Long) As Single
Public Declare Sub NewtonSliderGetJointForce Lib "vbNewton.dll" Alias "vb6_NewtonSliderGetJointForce" (ByVal slider As Long, Force As Single)
Public Declare Function NewtonSliderCalculateStopAccel Lib "vbNewton.dll" Alias "vb6_NewtonSliderCalculateStopAccel" (ByVal slider As Long, ByVal desc As Long, ByVal position As Single) As Single

' **********************************************************************************************
'
' Corkscrew joint functions
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateCorkscrew Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateCorkscrew" (ByVal newtonWorld As Long, pivotPoint As Single, pinDir As Single, ByVal childBody As Long, ByVal parentBody As Long) As Long
Public Declare Sub NewtonCorkscrewSetUserCallback Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewSetUserCallback" (ByVal corkscrew As Long, ByVal callback As Long)
Public Declare Function NewtonCorkscrewGetJointPosit Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewGetJointPosit" (ByVal corkscrew As Long) As Single
Public Declare Function NewtonCorkscrewGetJointAngle Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewGetJointAngle" (ByVal corkscrew As Long) As Single
Public Declare Function NewtonCorkscrewGetJointVeloc Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewGetJointVeloc" (ByVal corkscrew As Long) As Single
Public Declare Function NewtonCorkscrewGetJointOmega Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewGetJointOmega" (ByVal corkscrew As Long) As Single
Public Declare Sub NewtonCorkscrewGetJointForce Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewGetJointForce" (ByVal corkscrew As Long, Force As Single)
Public Declare Function NewtonCorkscrewCalculateStopAlpha Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewCalculateStopAlpha" (ByVal corkscrew As Long, ByVal desc As Long, ByVal angle As Single) As Single
Public Declare Function NewtonCorkscrewCalculateStopAccel Lib "vbNewton.dll" Alias "vb6_NewtonCorkscrewCalculateStopAccel" (ByVal corkscrew As Long, ByVal desc As Long, ByVal position As Single) As Single

' **********************************************************************************************
'
' Universal joint functions
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateUniversal Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateUniversal" (ByVal newtonWorld As Long, pivotPoint As Single, pinDir0 As Single, pinDir1 As Single, ByVal childBody As Long, ByVal parentBody As Long) As Long
Public Declare Sub NewtonUniversalSetUserCallback Lib "vbNewton.dll" Alias "vb6_NewtonUniversalSetUserCallback" (ByVal universal As Long, ByVal callback As Long)
Public Declare Function NewtonUniversalGetJointAngle0 Lib "vbNewton.dll" Alias "vb6_NewtonUniversalGetJointAngle0" (ByVal universal As Long) As Single
Public Declare Function NewtonUniversalGetJointAngle1 Lib "vbNewton.dll" Alias "vb6_NewtonUniversalGetJointAngle1" (ByVal universal As Long) As Single
Public Declare Function NewtonUniversalGetJointOmega0 Lib "vbNewton.dll" Alias "vb6_NewtonUniversalGetJointOmega0" (ByVal universal As Long) As Single
Public Declare Function NewtonUniversalGetJointOmega1 Lib "vbNewton.dll" Alias "vb6_NewtonUniversalGetJointOmega1" (ByVal universal As Long) As Single
Public Declare Sub NewtonUniversalGetJointForce Lib "vbNewton.dll" Alias "vb6_NewtonUniversalGetJointForce" (ByVal universal As Long, Force As Single)
Public Declare Function NewtonUniversalCalculateStopAlpha0 Lib "vbNewton.dll" Alias "vb6_NewtonUniversalCalculateStopAlpha0" (ByVal universal As Long, ByVal desc As Long, ByVal angle As Long) As Single
Public Declare Function NewtonUniversalCalculateStopAlpha1 Lib "vbNewton.dll" Alias "vb6_NewtonUniversalCalculateStopAlpha1" (ByVal universal As Long, ByVal desc As Long, ByVal angle As Long) As Single

' **********************************************************************************************
'
' Up vector joint functions
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateUpVector Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateUpVector" (ByVal newtonWorld As Long, pinDir As Single, ByVal body As Long) As Long
Public Declare Sub NewtonUpVectorGetPin Lib "vbNewton.dll" Alias "vb6_NewtonUpVectorGetPin" (ByVal upVector As Long, pin As Single)
Public Declare Sub NewtonUpVectorSetPin Lib "vbNewton.dll" Alias "vb6_NewtonUpVectorSetPin" (ByVal upVector As Long, pin As Single)

' **********************************************************************************************
'
' User defined bilateral Joint
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateUserJoint Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateUserJoint" (ByVal newtonWorld As Long, ByVal maxDOF As Long, ByVal callback As Long, ByVal childBody As Long, ByVal parentBody As Long) As Long
Public Declare Sub NewtonUserJointAddLinearRow Lib "vbNewton.dll" Alias "vb6_NewtonUserJointAddLinearRow" (ByVal joint As Long, pivot0 As Single, pivot1 As Single, sdir As Single)
Public Declare Sub NewtonUserJointAddAngularRow Lib "vbNewton.dll" Alias "vb6_NewtonUserJointAddAngularRow" (ByVal joint As Long, ByVal relativeAngle As Single, sdir As Single)
Public Declare Sub NewtonUserJointAddGeneralRow Lib "vbNewton.dll" Alias "vb6_NewtonUserJointAddGeneralRow" (ByVal joint As Long, jacobian0 As Single, jacobian1 As Single)
Public Declare Sub NewtonUserJointSetRowMinimumFriction Lib "vbNewton.dll" Alias "vb6_NewtonUserJointSetRowMinimumFriction" (ByVal joint As Long, ByVal friction As Single)
Public Declare Sub NewtonUserJointSetRowMaximumFriction Lib "vbNewton.dll" Alias "vb6_NewtonUserJointSetRowMaximumFriction" (ByVal joint As Long, ByVal friction As Single)
Public Declare Sub NewtonUserJointSetRowAcceleration Lib "vbNewton.dll" Alias "vb6_NewtonUserJointSetRowAcceleration" (ByVal joint As Long, ByVal acceleration As Single)
Public Declare Sub NewtonUserJointSetRowSpringDamperAcceleration Lib "vbNewton.dll" Alias "vb6_NewtonUserJointSetRowSpringDamperAcceleration" (ByVal joint As Long, ByVal springK As Single, ByVal springD As Single)
Public Declare Sub NewtonUserJointSetRowStiffness Lib "vbNewton.dll" Alias "vb6_NewtonUserJointSetRowStiffness" (ByVal joint As Long, ByVal stiffness As Single)
Public Declare Function NewtonUserJointGetRowForce Lib "vbNewton.dll" Alias "vb6_NewtonUserJointGetRowForce" (ByVal joint As Long, ByVal row As Long) As Single

' **********************************************************************************************
'
' Rag doll joint container functions
'
' **********************************************************************************************
Public Declare Function NewtonCreateRagDoll Lib "vbNewton.dll" Alias "vb6_NewtonCreateRagDoll" (ByVal newtonWorld As Long) As Long
Public Declare Sub NewtonDestroyRagDoll Lib "vbNewton.dll" Alias "vb6_NewtonDestroyRagDoll" (ByVal newtonWorld As Long, ByVal ragDoll As Long)
Public Declare Sub NewtonRagDollBegin Lib "vbNewton.dll" Alias "vb6_NewtonRagDollBegin" (ByVal ragDoll As Long)
Public Declare Sub NewtonRagDollEnd Lib "vbNewton.dll" Alias "vb6_NewtonRagDollEnd" (ByVal ragDoll As Long)

Public Declare Function NewtonRagDollFindBone Lib "vbNewton.dll" Alias "vb6_NewtonRagDollFindBone" (ByVal ragDoll As Long, ByVal id As Long) As Long
Public Declare Sub NewtonRagDollSetForceAndTorqueCallback Lib "vbNewton.dll" Alias "vb6_NewtonRagDollSetForceAndTorqueCallback" (ByVal ragDoll As Long, ByVal callback As Long)
Public Declare Sub NewtonRagDollSetTransformCallback Lib "vbNewton.dll" Alias "vb6_NewtonRagDollSetTransformCallback" (ByVal ragDoll As Long, ByVal callback As Long)
Public Declare Function NewtonRagDollAddBone Lib "vbNewton.dll" Alias "vb6_NewtonRagDollAddBone" (ByVal ragDoll As Long, ByVal parent As Long, ByVal userData As Long, ByVal Mass As Long, matrix As Single, ByVal boneCollision As Long, ssize As Single) As Long
Public Declare Function NewtonRagDollBoneGetUserData Lib "vbNewton.dll" Alias "vb6_NewtonRagDollBoneGetUserData" (ByVal bone As Long) As Long
Public Declare Function NewtonRagDollBoneGetBody Lib "vbNewton.dll" Alias "vb6_NewtonRagDollBoneGetBody" (ByVal bone As Long) As Long
Public Declare Sub NewtonRagDollBoneSetID Lib "vbNewton.dll" Alias "vb6_NewtonRagDollBoneSetID" (ByVal bone As Long, ByVal id As Long)
Public Declare Sub NewtonRagDollBoneSetLimits Lib "vbNewton.dll" Alias "vb6_NewtonRagDollBoneSetLimits" (ByVal bone As Long, coneDir As Single, ByVal minConeAngle As Single, ByVal maxConeAngle As Single, ByVal maxTwistAngle As Single, bilateralConeDir As Single, ByVal negativeBilateralConeAngle As Single, ByVal positiveBilateralConeAngle As Single)
Public Declare Sub NewtonRagDollBoneGetLocalMatrix Lib "vbNewton.dll" Alias "vb6_NewtonRagDollBoneGetLocalMatrix" (ByVal bone As Long, matrix As Single)
Public Declare Sub NewtonRagDollBoneGetGlobalMatrix Lib "vbNewton.dll" Alias "vb6_NewtonRagDollBoneGetGlobalMatrix" (ByVal bone As Long, matrix As Single)

' **********************************************************************************************
'
' Vehicle joint functions
'
' **********************************************************************************************
Public Declare Function NewtonConstraintCreateVehicle Lib "vbNewton.dll" Alias "vb6_NewtonConstraintCreateVehicle" (ByVal newtonWorld As Long, upDir As Single, ByVal body As Long) As Long
Public Declare Sub NewtonVehicleReset Lib "vbNewton.dll" Alias "vb6_NewtonVehicleReset" (ByVal vehicle As Long)
Public Declare Sub NewtonVehicleSetTireCallback Lib "vbNewton.dll" Alias "vb6_NewtonVehicleSetTireCallback" (ByVal vehicle As Long, ByVal update As Long)
Public Declare Function NewtonVehicleAddTire Lib "vbNewton.dll" Alias "vb6_NewtonVehicleAddTire" (ByVal vehicle As Long, localMatrix As Single, pin As Single, ByVal Mass As Single, ByVal width As Single, ByVal radius As Single, ByVal suspesionShock As Single, ByVal suspesionSpring As Single, ByVal suspesionLength As Single, ByVal userData As Long, ByVal collisionID As Long) As Long
Public Declare Sub NewtonVehicleRemoveTire Lib "vbNewton.dll" Alias "vb6_NewtonVehicleRemoveTire" (ByVal vehicle As Long, ByVal tireId As Long)
Public Declare Function NewtonVehicleGetFirstTireID Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetFirstTireID" (ByVal vehicle As Long) As Long
Public Declare Function NewtonVehicleGetNextTireID Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetNextTireID" (ByVal vehicle As Long, ByVal tireId As Long) As Long
Public Declare Function NewtonVehicleTireIsAirBorne Lib "vbNewton.dll" Alias "vb6_NewtonVehicleTireIsAirBorne" (ByVal vehicle As Long, ByVal tireId As Long) As Long
Public Declare Function NewtonVehicleTireLostSideGrip Lib "vbNewton.dll" Alias "vb6_NewtonVehicleTireLostSideGrip" (ByVal vehicle As Long, ByVal tireId As Long) As Long
Public Declare Function NewtonVehicleTireLostTraction Lib "vbNewton.dll" Alias "vb6_NewtonVehicleTireLostTraction" (ByVal vehicle As Long, ByVal tireId As Long) As Long
Public Declare Function NewtonVehicleGetTireUserData Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetTireUserData" (ByVal vehicle As Long, ByVal tireId As Long) As Long
Public Declare Function NewtonVehicleGetTireOmega Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetTireOmega" (ByVal vehicle As Long, ByVal tireId As Long) As Single
Public Declare Function NewtonVehicleGetTireNormalLoad Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetTireNormalLoad" (ByVal vehicle As Long, ByVal tireId As Long) As Single
Public Declare Function NewtonVehicleGetTireSteerAngle Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetTireSteerAngle" (ByVal vehicle As Long, ByVal tireId As Long) As Single
Public Declare Function NewtonVehicleGetTireLateralSpeed Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetTireLateralSpeed" (ByVal vehicle As Long, ByVal tireId As Long) As Single
Public Declare Function NewtonVehicleGetTireLongitudinalSpeed Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetTireLongitudinalSpeed" (ByVal vehicle As Long, ByVal tireId As Long) As Single
Public Declare Sub NewtonVehicleGetTireMatrix Lib "vbNewton.dll" Alias "vb6_NewtonVehicleGetTireMatrix" (ByVal vehicle As Long, ByVal tireId As Long, matrix As Single)
Public Declare Sub NewtonVehicleSetTireTorque Lib "vbNewton.dll" Alias "vb6_NewtonVehicleSetTireTorque" (ByVal vehicle As Long, ByVal tireId As Long, ByVal torque As Single)
Public Declare Sub NewtonVehicleSetTireSteerAngle Lib "vbNewton.dll" Alias "vb6_NewtonVehicleSetTireSteerAngle" (ByVal vehicle As Long, ByVal tireId As Long, ByVal angle As Single)
Public Declare Sub NewtonVehicleSetTireMaxSideSleepSpeed Lib "vbNewton.dll" Alias "vb6_NewtonVehicleSetTireMaxSideSleepSpeed" (ByVal vehicle As Long, ByVal tireId As Long, ByVal speed As Single)
Public Declare Sub NewtonVehicleSetTireSideSleepCoeficient Lib "vbNewton.dll" Alias "vb6_NewtonVehicleSetTireSideSleepCoeficient" (ByVal vehicle As Long, ByVal tireId As Long, ByVal coeficient As Single)
Public Declare Sub NewtonVehicleSetTireMaxLongitudinalSlideSpeed Lib "vbNewton.dll" Alias "vb6_NewtonVehicleSetTireMaxLongitudinalSlideSpeed" (ByVal vehicle As Long, ByVal tireId As Long, ByVal speed As Single)
Public Declare Sub NewtonVehicleSetTireLongitudinalSlideCoeficient Lib "vbNewton.dll" Alias "vb6_NewtonVehicleSetTireLongitudinalSlideCoeficient" (ByVal vehicle As Long, ByVal tireId As Long, ByVal coeficient As Single)
Public Declare Function NewtonVehicleTireCalculateMaxBrakeAcceleration Lib "vbNewton.dll" Alias "vb6_NewtonVehicleTireCalculateMaxBrakeAcceleration" (ByVal vehicle As Long, ByVal tireId As Long) As Single
Public Declare Sub NewtonVehicleTireSetBrakeAcceleration Lib "vbNewton.dll" Alias "vb6_NewtonVehicleTireSetBrakeAcceleration" (ByVal vehicle As Long, ByVal tireId As Long, ByVal accelaration As Single, ByVal torqueLimit As Single)
