Attribute VB_Name = "mdlNewtonCallbacks"
Option Explicit
'-------------------------------------------------------------------------------------------
'Author           : Paul Dahuach
'Year             : 2008
'Legal            : Do whatever you want with it, send me some feedback if you want.
'More Examples    : http://www.pauldahuach.com.ar/program_en.htm
'Dependencies     : vbNewton.dll (http://www.pauldahuach.com.ar/program_en.htm)
'                 :   Newton.dll (http://www.newtondynamics.com)
'-------------------------------------------------------------------------------------------

' *****************************************************************************
'  Newton callbacks
' *****************************************************************************
'  Newton heavily (depending on your design) relies on callbacks. It uses
'  them to calculate forces, so you can with one line change the callback
'  and have a body react in a total differen way.
' *****************************************************************************

' =============================================================================
'  ForceAndTorqueCallback
' =============================================================================
'  This is the callback that is called by Newton for every rigid body and in
'  which all forces (in this simple demo only gravity) are applied.
' =============================================================================
Public Function ForceAndTorqueCallback(ByVal body As Long) As Long
    Dim Mass    As Single
    Dim Inertia As vec3_t
    Dim Force   As vec3_t
    NewtonBodyGetMassMatrix body, Mass, Inertia.xyz(0), Inertia.xyz(1), Inertia.xyz(2)
    assign3 Force, 0, -9.8 * Mass, 0
    NewtonBodyAddForce body, Force.xyz(0)
End Function
